<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.car.mapper.KwOrderCarLandTransportPathMapper">

    <update id="batchUpdateSettlementAmount">
        <foreach collection="list" item="item" separator=";">
            UPDATE kw_order_car_land_transport_path
            SET settlement_amount = #{item.settlementAmount}
            WHERE id = #{item.id}
        </foreach>
    </update>
    <select id="getPathListByOrderId" resultType="com.sckw.car.entity.KwOrderCarLandTransportPath">
        select * from kw_order_car_land_transport_path where del_flag = 0 and order_id = #{orderId}
    </select>
</mapper>